Package org.apache.sysds.runtime.io.hdf5

# Class H5GroupSymbolTableNode

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5GroupSymbolTableNode

public class H5GroupSymbolTableNode extends Object

## Constructor Summary

Constructors
Constructor
Description
`H5GroupSymbolTableNode(H5RootObject rootObject, long address)`
`H5GroupSymbolTableNode(H5RootObject rootObject, short numberOfEntries, H5SymbolTableEntry[] symbolTableEntries)`

## Method Summary

Modifier and Type
Method
Description
`short`
`getNumberOfEntries()`
`H5SymbolTableEntry[]`
`getSymbolTableEntries()`
`short`
`getVersion()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5GroupSymbolTableNode

public H5GroupSymbolTableNode(H5RootObject rootObject, long address)

### H5GroupSymbolTableNode

public H5GroupSymbolTableNode(H5RootObject rootObject, short numberOfEntries, H5SymbolTableEntry[] symbolTableEntries)

## Method Details

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getVersion

public short getVersion()

### getNumberOfEntries

public short getNumberOfEntries()

### getSymbolTableEntries

public H5SymbolTableEntry[] getSymbolTableEntries()